const _Http = getApp().globalData.http,
    currency = require("../../utils/currency"),
    CNY = (value, symbol = "￥", precision = 2) => currency(value, {
        symbol,
        precision
    }).format();
Component({
    options: {
        addGlobalClass: true
    },
    lifetimes: {
        attached: function () {
            getApp().globalData.Language.getLanguagePackage(this)
        }
    },
    properties: {

    },
    data: {
        dateType: "本年",
        showList: false,
        list: [],
        "content": {
            "nocache": true,
            "pageNumber": 1,
            "pageTotal": 1,
            "total": null,
            "where": {
                begdate: "",
                enddate: "",
            }
        }
    },
    methods: {
        getList(id, init) {
            let content = this.data.content;
            content.sys_phonebookid = id;
            content.dateType = this.data.dateType;
            if (init) {
                content.pageNumber = 1;
                content.total = null;
            }
            if (!this.data.showList && content.total != null) return;
            if (content.pageNumber > content.pageTotal) return;
            _Http.basic({
                "id": 20240605131804,
                content
            }).then(res => {
                console.log("联系人关联项目", res)
                if (res.code != '1') return wx.showToast({
                    title: res.data,
                    icon: "none"
                })
                content.pageNumber = res.pageNumber + 1;
                content.pageSize = res.pageSize;
                content.pageTotal = res.pageTotal;
                content.total = res.total;
                res.data = res.data.map(v => {
                    try {
                        v.tradingamount = CNY(v.tradingamount / (wx.getStorageSync('languagecode') == 'ZH' ? 10000 : 1000));
                        v.signamount_due = CNY(v.signamount_due, "￥", 2);
                        v.dealamount = CNY(v.dealamount, "￥", 2);
                    } catch (error) {

                    }
                    return v
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    content,
                    id: id,
                });
                this.selectComponent("#TimeRange").onCancel()
            })
        },
        changeDate({
            detail
        }) {
            this.setData({
                dateType: detail.dateType || '自定义',
                "content.where.begdate": detail.begdate || "",
                "content.where.enddate": detail.enddate || ""
            })
            this.getList(this.data.id, true)
        },
        shrinkChange({
            detail
        }) {
            this.setData({
                showList: detail
            })
        },
        upDateList() {
            let content = JSON.parse(JSON.stringify(this.data.content));
            try {
                content.sys_phonebookid = this.data.id;
                content.dateType = this.data.dateType;
                content.pageSize = (content.pageNumber - 1) * content.pageSize;
                content.pageNumber = 1;
            } catch (error) {
                console.log("error", error)
            }
            _Http.basic({
                id: '20240605131804',
                content
            }).then(res => {
                console.log("更新联系人关联项目", res);
                if (res.code == '1') {
                    res.data = res.data.map(v => {
                        try {
                            v.tradingamount = CNY(v.tradingamount / (wx.getStorageSync('languagecode') == 'ZH' ? 10000 : 1000));
                            v.signamount_due = CNY(v.signamount_due, "￥", 2);
                            v.dealamount = CNY(v.dealamount, "￥", 2);
                        } catch (error) {

                        }
                        return v
                    })
                    this.setData({
                        list: res.data,
                        "content.total": res.total
                    })
                }
            })
        },
        viewInstructions() {
            getApp().globalData.Language.modeBoxPrompts('关联项目的成交率=有成交的关联项目数:关联的项目总数x100%')
        }
    }
})